# License: see LICENSE.txt
#  Jabber4R - Jabber Instant Messaging Library for Ruby
#  Copyright (C) 2002  Rich Kilmer <rich@infoether.com>
# 

unless ARGV[0] and ARGV[1]
  puts "Usage: ruby echo.rb jid[node@host/resource] password"
  exit
end

require 'jabber4r/jabber4r'
session = Jabber::Session.bind_digest(ARGV[0], ARGV[1])
puts "here"
c = Thread.current
listenerid = session.add_message_listener do |message|
  message.reply.set_body("You said: #{message.body}").send
  if message.body=="shutdown"
    c.wakeup
  end
end
puts "Send the chat message 'shutdown' to #{session.jid.to_s}."
Thread.stop
session.release